### Method

# Snapd Client buy_sync

since: 1.3

#### Declaration [src]

    gboolean
    snapd_client_buy_sync (
      SnapdClient* client,
      const gchar* id,
      gdouble amount,
      const gchar* currency,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Buy a snap from the store. Once purchased, this snap can be installed with snapd_client_install2_sync().

Available since: 1.3

#### Parameters

`id`

  Type: `const gchar*`

  Id of snap to buy.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`amount`

  Type: `gdouble`

  Amount of currency to spend, e.g. 0.99.

`currency`

  Type: `const gchar*`

  The currency to buy with as an ISO 4217 currency code, e.g. “NZD”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success or `FALSE` on error.